php_mongo扩展平滑升级成php_mongodb扩展,不修改代码

  1. 项目必须引入composer包管理。

  2. //引入新版驱动代码

    composer require mongodb/mongodb

  3. //引入新旧驱动转换组件

    composer require alcaeus/mongo-php-adapter

  4. 删除旧的php_mongo驱动,重启php



如果更新下来的包有问题,导致旧项目报错。可试下如果的包,是本人在项目使用中修改过的

vendor.rar